Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.util.functions
Class Max

    java.lang.Object
      org.apache.torque.util.functions.AggregateFunction
          org.apache.torque.util.functions.Max

All Implemented Interfaces:
  Column, SQLFunction

    public class Max

extends AggregateFunction

SQL99 Standard max function.

Version:
  $Id: Max.java 1448414 2013-02-20 21:06:35Z tfischer $

Constructor Summary
`Max(Column column)` Construct an MAX function class with the column to calculate the maximum from.
`Max(Column column, boolean distinct)` Construct an MAX function class with the column to calculate the maximum from and possibly a distinct modifier.
`Max(String sqlExpression)` Construct an MAX function class with an SQL expression to calculate the maximum from.

Method Summary
`void` | `setFunction(String function)` This method cannot be called, an UnsupportedOperationException will always be thrown.

Methods inherited from class org.apache.torque.util.functions.AggregateFunction
`getArgument, getArguments, getColumn, getColumnName, getFullTableName, getFunction, getSchemaName, getSqlExpression, getTableName, isDistinct, setArguments, setColumn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Max

    public Max(Column column)

  Construct an MAX function class with the column to calculate the maximum from.

  Parameters:
    `column` - the Column to calculate the maximum from.

### Max

    public Max(String sqlExpression)

  Construct an MAX function class with an SQL expression to calculate the maximum from.

  Parameters:
    `sqlExpression` - the SQL expression to calculate the maximum from.

### Max

    public Max(Column column,
               boolean distinct)

  Construct an MAX function class with the column to calculate the maximum from and possibly a distinct modifier.

  Parameters:
    `column` - the Column to calculate the maximum from.
    `distinct` - whether to calculate the maximum from only distinct values.

Method Detail

### setFunction

    public void setFunction(String function)

  This method cannot be called, an UnsupportedOperationException will always be thrown.

  Overrides:
    `setFunction` in class `AggregateFunction`
  Parameters:
    `function` - disregarded.
  Throws:
    `UnsupportedOperationException` - always.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.